"DirectX11 feature level 10.0 is required to run the engine"... While I'm running DirectX11 feature level 10 on a graphics card able to do just that. What's going on?

I understand this topic is a bit similar to other past ones, but I post it anyways because I have tried all of their solutions and gone through all of their troubleshooting and I still have literally no idea what is going on. I’ve been tried to run an Unreal Engine 4 based game for a day now, and every time I do it pops up this message. Here’s the issue: after checking all my drivers were updated and all that, I went through the DirectX diagnostic tool and the NVidia control panel, and guess what?
image



Am I just screwed? Is there some weird quirk of my graphics card that makes it too old to run this version of DirectX or something? Please, help.